<?php
/**
 * Template part for displaying slider.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Blogarama
 */
	$page = get_theme_mod('blogarama_featured_page');
	$pageLinkVal = get_theme_mod('blogarama_featured_link_setting',0);
 
	//query posts
	$args = array(
		'post_type' => 'page',
		'orderby' => 'post__in',
		'p' => $page
	);
	$the_query = new WP_Query( $args );
	
?>

<article>
	<?php if ($the_query->have_posts()) : ?>    	
		<?php while ($the_query->have_posts()) : $the_query->the_post(); ?> 
        	<?php if ( has_post_thumbnail() ) { ?>
          		<div class="col-md-5">
                	<div class="img_container">
                    	<div class="img_corner"></div>
                        <div class="rr rr-left">
                        <?php
                                the_post_thumbnail('blogarama-featured-thumbnail');
                        ?>
                        </div>
                        
                	</div>
                </div>
                
                <div class="col-md-7 ">
                	<div  class="featured-content">
                    <?php if($pageLinkVal != 0){ ?>
						<h1><a class="more" href="<?php the_permalink('') ?>"><?php the_title(); ?></a></h1>
                    <?php }else { ?>
						<h1><?php the_title(); ?></h1>
                    <?php } ?>
                    <p><?php the_excerpt(); ?></p>
                    <?php if($pageLinkVal == 1){ ?>
                    <a href="<?php the_permalink('') ?>" class="read_more btn_right"><?php _e( 'Read More', 'blogarama' ); ?></a>
                    <?php } ?>
                    		
                    </div>
                </div>
          <?php }else{ ?>
          		<div class="col-md-12">
                	<div class="no_featured_image">
                        <?php if($pageLinkVal != 0){ ?>
                            <h1><a class="more" href="<?php the_permalink('') ?>"><?php the_title(); ?></a></h1>
                        <?php }else { ?>
                            <h1><?php the_title(); ?></h1>
                        <?php } ?>
                        <p ><?php the_excerpt(); ?></p>
                        <?php if($pageLinkVal == 1){ ?>
                            <a href="<?php the_permalink('') ?>" class="read_more btn_right"><?php _e( 'Read More', 'blogarama' ); ?></a>
                            <?php } ?>
                	</div>
                </div>
          <?php } ?>
        <?php endwhile; ?> 

    <?php endif; ?> 

<?php wp_reset_postdata(); ?>

</article>